set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "BM EXIT" {} ]

set status [ SclFunction "GEOLOGY DATABASE DISCONNECT" {} ]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="db1.ddb"
  mode="openInNewLayer"
}]

if { [catch {
set status [ SclFunction "BLOCK MODEL OPEN" {
  frm00906={
    {
      modname="training2.mdl"
      use_const="N"
    }
  }
}]
}]}  {
puts "There is no training2.mdl. This could occur if you haven't yet run previous block modelling macros. Opening training.mdl instead."
set status [ SclFunction "BLOCK MODEL OPEN" {
  frm00906={
    {
      modname="training.mdl"
      use_const="N"
    }
  }
}]
}

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "GET DATABASE HANDLE" {
  DatabaseHandle="GEOLOGY"
  DatabaseType="drillholes"
  DatabaseName="db1"
  result=1
}]

set status [ SclFunction "GEOLOGY DATABASE DISCONNECT" {} ]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "BM ADD ATTRIBUTE" {
  frm20150={
    {
      _action=display
      attributes=table { name type decimals bgv description } {
        { "sg" "float" "2" "2.8" "specific gravity" }
        { "gold" "float" "2" "0" "gold" }
      }
    }
  }
}]

set status [ SclFunction "BM MODEL SUMMARY" {
  frm20049={
    {
      _action=display
      save_summary="N"
    }
  }
}]

set status [ SclFunction "BM SAVE MODEL" {
  frm00121={
    {
      _action="display"
    }
  }
}]

set status [ SclFunction "BM EXIT" {} ]
puts ""
puts ""
puts "macro _02_create_model_attributes.tcl completed"
puts ""

